package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.PrintPlanStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 印刷计划简略信息接收类
 * @Author: CaoZixuan
 * @Date: 2021-04-04
 */
public class PrintPlanBrief {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "印刷计划id")
    private Long id;

    @ApiModelProperty(value = "印刷计划名称")
    private String name;

    @ApiModelProperty(value = "印刷计划状态")
    private PrintPlanStatusEnum status;

    public PrintPlanBrief(Long id, String name, PrintPlanStatusEnum status) {
        this.id = id;
        this.name = name;
        this.status = status;
    }

    public PrintPlanBrief() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public PrintPlanStatusEnum getStatus() {
        return status;
    }

    public void setStatus(PrintPlanStatusEnum status) {
        this.status = status;
    }
}
